%define oname   pyxdg

Name:             python-pyxdg
Summary:          Python library to access freedesktop.org standards
Version:          0.25
Release:          %mkrel 10
BuildArch:        noarch
Source0:          http://people.freedesktop.org/~takluyver/%{oname}-%{version}.tar.gz
URL:              http://www.freedesktop.org/Software/pyxdg
# https://bugs.freedesktop.org/show_bug.cgi?id=61817
Patch0:           pyxdg-0.25-find-first-mimetype-match.patch
# https://bugs.freedesktop.org/show_bug.cgi?id=73878
Patch1:           pyxdg-0.25-CVE-2014-1624.patch
Group:            System/Libraries
License:          LGPLv2
BuildRequires:    python-devel
BuildRequires:    python3-devel
Provides:         pyxdg
Obsoletes:        pyxdg < 0.19-3

%description
PyXDG is a python library to access freedesktop.org standards. 
Currently supported are:

	* Base Directory Specification Version 0.6 

	* Menu Specification Version 1.0 

	* Desktop Entry Specification Version 1.0 

	* Icon Theme Specification Version 0.8 

	* Recent File Spec 0.2 

	* Shared-MIME-Database Specification 0.13 

%package -n python3-pyxdg
Summary:	Python3 library to access freedesktop.org standards
Group:		System/Libraries

%description -n python3-pyxdg
PyXDG is a python library to access freedesktop.org standards. This
package contains a Python 3 version of PyXDG.

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
%patch1 -p1
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'

%build
python setup.py build
pushd %{py3dir}
%{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root=%{buildroot}
popd

python setup.py install --root=%{buildroot}

%files
%doc AUTHORS COPYING ChangeLog README TODO
%{python_sitelib}/xdg
%{python_sitelib}/pyxdg-*.egg-info

%files -n python3-pyxdg
%doc AUTHORS COPYING ChangeLog README TODO
%{python3_sitelib}/xdg
%{python3_sitelib}/pyxdg-*.egg-info


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.25-10.mga6
+ Revision: 970500
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 ovitters <ovitters> 0.25-9.mga6
+ Revision: 887055
- rebuild for new python3

* Thu Dec 25 2014 philippem <philippem> 0.25-8.mga5
+ Revision: 805911
- fix CVE-2014-1624 mga#14873

* Wed Oct 15 2014 umeabot <umeabot> 0.25-7.mga5
+ Revision: 750265
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.25-6.mga5
+ Revision: 729611
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.25-5.mga5
+ Revision: 688293
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.25-4.mga5
+ Revision: 628976
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.25-3.mga4
+ Revision: 544149
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.25-2.mga4
+ Revision: 499279
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jun 30 2013 fwang <fwang> 0.25-1.mga4
+ Revision: 448488
- add patch from fedora
- new version 0.25
- add python3 flavour

* Sun Jan 13 2013 umeabot <umeabot> 0.19-4.mga3
+ Revision: 379422
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 05 2011 ahmad <ahmad> 0.19-3.mga1
+ Revision: 47125
- step 2 or renaming the package
- move the package in order to rename it to comply with our python naming policy
- imported package pyxdg

